Skip to main content
Rotate cluster agent key
curl --request POST \
  --url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/kubernetes-clusters/{clusterId}/rotate-agent-key \
  --cookie acornops_cp_session=
{
  "agentKey": "<string>",
  "keyVersion": 123,
  "clusterId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "vmId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "installInstructions": {
    "command": "<string>",
    "environment": {}
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.acornops.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

acornops_cp_session
string
cookie
required

Path Parameters

workspaceId
string<uuid>
required
Example:

"4b930d98-add9-4924-ab26-3c16d96ec373"

clusterId
string<uuid>
required
Example:

"5b006e4c-509c-458a-9f02-5aafbdc01ade"

Response

New key and agent install instructions issued.

agentKey
string
required
keyVersion
integer
required
clusterId
string<uuid>
vmId
string<uuid>
targetId
string<uuid>
installInstructions
object